Name:                mimepull
Version:             1.9.6
Release:             3
Summary:             Streaming API to access attachments from a MIME message
License:             CDDL-1.1 and GPLv2 with exceptions
URL:                 http://mimepull.java.net
Source0:             https://github.com/javaee/metro-mimepull/archive/mimepull-1.9.6.tar.gz
BuildArch:           noarch
BuildRequires:       maven-local mvn(junit:junit) mvn(net.java:jvnet-parent:pom:)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:       xmvn
BuildRequires:       mvn(org.eclipse.aether:aether-connector-basic)
BuildRequires:       mvn(org.eclipse.aether:aether-transport-wagon)
BuildRequires:       mvn(org.apache.maven.wagon:wagon-http)
BuildRequires:       mvn(org.apache.maven.wagon:wagon-provider-api)
%description
Provides a streaming API to access attachments parts in a MIME message

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n metro-mimepull-mimepull-%{version} -p1
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-deploy-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_dep org.tmatesoft.svnkit:svnkit
%pom_xpath_remove pom:providerImplementations
%pom_remove_plugin :maven-enforcer-plugin
%pom_add_plugin org.apache.maven.plugins:maven-enforcer-plugin:1.0.1 . '
<executions>
    <execution>
        <id>enforce-versions</id>
        <goals>
            <goal>enforce</goal>
        </goals>
    </execution>
</executions>
<configuration>
    <rules>
        <requireJavaVersion>
            <version>[1.7,)</version>
        </requireJavaVersion>
            <requireMavenVersion>
                <version>[3.0.3,)</version>
            </requireMavenVersion>
        <DependencyConvergence/>
    </rules>
</configuration>'
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE

%build
%mvn_build -b

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Aug 18 2023 Ge Wang <wang__ge@126.com> - 1.9.6-3
- Fix build failure due to buildnumber-maven-plugin updated

* Mon May 9 2022 baizhonggui <baizhonggui@h-partners.com> - 1.9.6-2
- modify license identifier

* Sat Aug 22 2020 Jeffery.Gao <gaojianxing@huawei.com> - 1.9.6-1
- Package init
